> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update resource policy



## OpenAPI

````yaml /openapi/forge-api.yaml put /api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}
openapi: 3.0.3
info:
  title: Forge API
  version: 0.1.0
  description: >-
    Automate Forge inventory, investigations, findings, governance, fleet,
    policy, configuration, compliance, MCP, service-account, and audit
    workflows.
servers:
  - url: https://api.forge.ai
    description: Forge production API
security:
  - serviceAccountBearer: []
tags:
  - name: approvals
    description: MCP approvals
  - name: audit
    description: Audit
  - name: capabilities
    description: Capabilities
  - name: compliance
    description: Compliance
  - name: findings
    description: Findings
  - name: fleet
    description: Fleet
  - name: governance
    description: Governance
  - name: inventory
    description: Inventory
  - name: investigation
    description: Investigations
  - name: managed-config
    description: Managed configuration
  - name: mcp
    description: MCP sessions
  - name: mcp-registry
    description: MCP and skill registry
  - name: operations
    description: operations
  - name: policies
    description: Policies and violations
  - name: resources
    description: Resources
  - name: service-accounts
    description: Service accounts
  - name: settings
    description: Automation settings
paths:
  /api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}:
    put:
      tags:
        - policies
      summary: Update resource policy
      operationId: updateHeadlessResourcePolicy
      parameters:
        - $ref: '#/components/parameters/OrganizationId'
        - $ref: '#/components/parameters/FamilyPolicyId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResourcePolicyMutationRequest'
      responses:
        '200':
          description: Resource Policy updated under the owning automation manager.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourcePolicyDefinitionResponse'
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '409':
          $ref: '#/components/responses/Error'
components:
  parameters:
    OrganizationId:
      name: organizationId
      in: path
      required: true
      schema:
        type: string
    FamilyPolicyId:
      name: familyPolicyId
      in: path
      required: true
      schema:
        type: string
  schemas:
    ResourcePolicyMutationRequest:
      type: object
      additionalProperties: false
      required:
        - definition
        - reason
        - idempotencyKey
        - confirm
      properties:
        definition:
          type: object
          additionalProperties: true
          description: >-
            Resource Policy definition validated against the current
            policy-family contract.
        expectedRevision:
          type: integer
          format: int64
          minimum: 0
        sourceRef:
          type: object
          additionalProperties: true
        validationToken:
          type: string
          writeOnly: true
        reason:
          type: string
          minLength: 1
        idempotencyKey:
          type: string
          minLength: 1
        confirm:
          type: boolean
          enum:
            - true
    ResourcePolicyDefinitionResponse:
      type: object
      additionalProperties: false
      required:
        - item
      properties:
        item:
          $ref: '#/components/schemas/ResourcePolicyDefinitionRecord'
    ResourcePolicyDefinitionRecord:
      type: object
      additionalProperties: false
      required:
        - organizationId
        - id
        - family
        - name
        - enabled
        - ownerType
        - managementMode
        - currentRevision
        - definitionSha256
        - definition
        - sourceRef
        - createdAt
        - updatedAt
      properties:
        organizationId:
          type: string
        id:
          type: string
        family:
          type: string
          enum:
            - resource
        name:
          type: string
        enabled:
          type: boolean
        ownerType:
          type: string
          enum:
            - organization
            - mcp_registry
            - product_status
        ownerId:
          type: string
          nullable: true
        managementMode:
          type: string
          enum:
            - forge
            - terraform
        managerId:
          type: string
          nullable: true
        managerInstance:
          type: string
          nullable: true
        sourceRef:
          type: object
          additionalProperties: true
        currentRevision:
          type: integer
          format: int64
          minimum: 1
        definitionSha256:
          type: string
          pattern: ^[a-f0-9]{64}$
        definition:
          type: object
          additionalProperties: true
          description: Validated Resource Policy definition.
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        tombstonedAt:
          type: string
          format: date-time
          nullable: true
    MessageResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  responses:
    Error:
      description: Stable Forge error envelope.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageResponse'
  securitySchemes:
    serviceAccountBearer:
      type: http
      scheme: bearer
      bearerFormat: Forge service-account or delegated OAuth access token
      description: >-
        Enter a Forge service-account token or delegated OAuth access token.
        Mintlify adds the Bearer prefix.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.